Bug 1251488 - gcov crash if two(or more) forks happen at the same time
gcov crash if two(or more) forks happen at the same time
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gcc (Show other bugs)
6.6
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Jakub Jelinek
Michael Petlan
: Patch
Depends On:
Blocks: 1172231 1271375
  Show dependency treegraph
 
Reported: 2015-08-07 09:21 EDT by Codrut Grosu
Modified: 2016-05-10 17:41 EDT (History)
8 users (show)

See Also:
Fixed In Version: gcc-4.4.7-17.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 17:41:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 0009156 None None None Never

  None (edit)
Description Codrut Grosu 2015-08-07 09:21:20 EDT
Hello,

I'm a CentOS 6.6 user and I'm using the default GCC (4.4.7) compiler of CentOS 6.6.

I'm trying to use the gcov tool for my code in CentOS 6.6 with gcc 4.4.7 and I have the same problem that was reported at [1].

I send an email to Richard Biener to fix the bug for the gcc 4.4.7 but he told me that gcc 4.4.7 is no longer maintained.

The bug was fixed for gcc 4.8.0 and above .

He also added that I should "talk with the boys from RedHat to backport the patch to their compiler".

I hope that you boys can do your magic again and fix this bug.

The fact that CentOS 6 will be maintained until 2020 gives me confidence that you'll do your best to fix this bug.

I'm puting this bug here because on https://www.centos.org/forums they told me to report the bug to RedHat on bugzilla.redhat.com .

[1] : https://gcc.gnu.org/bugzilla/show_bug.cgi?id=49484 [^]



Thanks,
Codrut Grosu.

P.S. Sorry for my English... I'm better with vim :D :P
Comment 5 Michael Petlan 2016-01-14 08:52:21 EST
Reproduced with:  4.4.7-16.el6
Verified against: 4.4.7-17.el6
Comment 7 errata-xmlrpc 2016-05-10 17:41:39 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0849.html

Note You need to log in before you can comment on or make changes to this bug.